Bug 1279087 - Review Request: sharpfont - Cross-platform FreeType bindings
Summary: Review Request: sharpfont - Cross-platform FreeType bindings
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: openra
TreeView+ depends on / blocked
 
Reported: 2015-11-07 20:03 UTC by Raphael Groner
Modified: 2016-11-19 21:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-07 06:43:42 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2015-11-07 20:03:38 UTC
Spec URL: sharpfont.spec
SRPM URL: <srpm info here>
Description: Cross-platform FreeType bindings
Fedora Account System Username: raphgro

This is just a place holder for an upcoming package request.

URL: https://github.com/Robmaister/SharpFont

Comment 1 Matthias Mailänder 2015-11-24 09:46:04 UTC
https://build.opensuse.org/package/show/games:openra/sharpfont might help you.

Comment 3 Upstream Release Monitoring 2016-03-02 14:08:03 UTC
raphgro's scratch build of sharpfont-3.0.1-1.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13201149

Comment 6 gil cattaneo 2016-08-15 21:11:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/1279087-sharpfont/licensecheck.txt
These files are without license header:
SharpFont-3.1.0/Source/Examples/ExampleForm.Designer.cs
SharpFont-3.1.0/Source/Examples/ExampleForm.cs
SharpFont-3.1.0/Source/Examples/Forms/LabeledToolStripComboBox.Designer.cs
SharpFont-3.1.0/Source/Examples/Forms/LabeledToolStripComboBox.cs
SharpFont-3.1.0/Source/Examples/Properties/AssemblyInfo.cs
SharpFont-3.1.0/Source/SharpFont/Properties/AssemblyInfo.cs
Please, report to upstrean 

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 215040 bytes in 16 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     sharpfont-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sharpfont-3.1.0-1.fc26.i686.rpm
          sharpfont-devel-3.1.0-1.fc26.i686.rpm
          sharpfont-3.1.0-1.fc26.src.rpm
sharpfont.i686: E: no-binary
sharpfont.i686: W: only-non-binary-in-usr-lib
sharpfont-devel.i686: W: non-standard-group Development/Libraries/Other
sharpfont-devel.i686: W: no-documentation
sharpfont.src:59: E: hardcoded-library-path in %{_prefix}/lib/mono/gac/
sharpfont.src:60: E: hardcoded-library-path in %{_prefix}/lib
3 packages and 0 specfiles checked; 3 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sharpfont-devel.i686: W: non-standard-group Development/Libraries/Other
sharpfont-devel.i686: W: no-documentation
sharpfont.i686: E: no-binary
sharpfont.i686: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
sharpfont-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    pkgconfig(mono)
    sharpfont

sharpfont (rpmlib, GLIBC filtered):
    mono(System.Drawing)
    mono(mscorlib)



Provides
--------
sharpfont-devel:
    pkgconfig(sharpfont)
    sharpfont-devel
    sharpfont-devel(x86-32)

sharpfont:
    mono(SharpFont)
    sharpfont
    sharpfont(x86-32)



Source checksums
----------------
https://github.com/Robmaister/SharpFont/archive/v3.1.0.tar.gz#/sharpfont-3.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : a10994b44439bf0660e06bff2021b3695b2092e93d4bb513a8eb89e4a6ebfbf7
  CHECKSUM(SHA256) upstream package : a10994b44439bf0660e06bff2021b3695b2092e93d4bb513a8eb89e4a6ebfbf7


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1279087 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2016-08-15 21:15:08 UTC
NON blocking issues:

These files are without license header:
SharpFont-3.1.0/Source/Examples/ExampleForm.Designer.cs
SharpFont-3.1.0/Source/Examples/ExampleForm.cs
SharpFont-3.1.0/Source/Examples/Forms/LabeledToolStripComboBox.Designer.cs
SharpFont-3.1.0/Source/Examples/Forms/LabeledToolStripComboBox.cs
SharpFont-3.1.0/Source/Examples/Properties/AssemblyInfo.cs
SharpFont-3.1.0/Source/SharpFont/Properties/AssemblyInfo.cs
Please, report to upstrean 

sharpfont-devel.i686: W: non-standard-group Development/Libraries/Other
Please, remove

Approved

Comment 8 Raphael Groner 2016-08-28 16:30:39 UTC
Thanks for the review!

Comment 9 gil cattaneo 2016-08-28 16:36:06 UTC
(In reply to Raphael Groner from comment #8)
> Thanks for the review!

have time for this https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1370868 
or this https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1370913 ?
thanks in advance

Comment 10 Raphael Groner 2016-08-28 17:05:40 UTC
(In reply to gil cattaneo from comment #9)
> (In reply to Raphael Groner from comment #8)
> > Thanks for the review!
> 
> have time for this
> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1370868 
> or this https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=1370913 ?
> thanks in advance

Not to expect in the course of next weeks, sorry.

Comment 11 Gwyn Ciesla 2016-08-29 12:48:36 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/sharpfont

Comment 12 Raphael Groner 2016-08-31 21:08:07 UTC
(In reply to gil cattaneo from comment #7)
> NON blocking issues:
> 
> These files are without license header:
> SharpFont-3.1.0/Source/Examples/ExampleForm.Designer.cs
> SharpFont-3.1.0/Source/Examples/ExampleForm.cs
> SharpFont-3.1.0/Source/Examples/Forms/LabeledToolStripComboBox.Designer.cs
> SharpFont-3.1.0/Source/Examples/Forms/LabeledToolStripComboBox.cs
> SharpFont-3.1.0/Source/Examples/Properties/AssemblyInfo.cs
> SharpFont-3.1.0/Source/SharpFont/Properties/AssemblyInfo.cs
> Please, report to upstrean 

https://github.com/Robmaister/SharpFont/issues/92

By the way, new version 4.0.1

> sharpfont-devel.i686: W: non-standard-group Development/Libraries/Other
> Please, remove

Fixed.

Comment 13 Pravin Satpute 2016-10-05 18:03:41 UTC
Any plan to push this package to Fedora 25 and Fedora 24? 
You need to follow : https://bodhi.fedoraproject.org/ process

Comment 14 Raphael Groner 2016-10-09 17:23:21 UTC
Pravin,
thanks for your request. I just did not have the time to build for other Fedoras. Currently, I see a possible need only for upcoming OpenRA (bug #1159091) that is still incomplete and not yet defined to be fully available in any concrete Fedora version.

May I ask for what you need the requested builds? Are you generally interested in help for mono packages? I could give you commit rights for sharpfont (and other packages). If you're interested in becoming a co-maintainer, please request so in PkgDB and I'll approve you.

Comment 15 Pravin Satpute 2016-10-10 05:45:31 UTC
(In reply to Raphael Groner from comment #14)

> May I ask for what you need the requested builds? 

I see this package is approved in Fedora 25 release cycle, so good to have this available in upcoming release.

>Are you generally
> interested in help for mono packages? I could give you commit rights for
> sharpfont (and other packages). If you're interested in becoming a
> co-maintainer, please request so in PkgDB and I'll approve you.

Sure, i will help to build for F25. :)
Requested access. I am already proven packager, will do it soon.

Thanks

Comment 16 Raphael Groner 2016-10-10 19:00:21 UTC
Pravin,
thanks again. Approved in PkgDB.

Comment 17 Fedora Update System 2016-10-14 04:56:40 UTC
sharpfont-4.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-234e7936ab

Comment 18 Raphael Groner 2016-11-05 22:52:36 UTC
This update has reached 3 days in testing and can be pushed to stable now if the maintainer wishes.

Pravin, please do so and we can close this bug.

Comment 19 Pravin Satpute 2016-11-07 06:43:42 UTC
Thanks for the ping. Done the needful :)

Comment 20 Fedora Update System 2016-11-19 21:01:05 UTC
sharpfont-4.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.